# eric6.Templates.TemplateMultipleVariablesDialog

Module implementing a dialog for entering multiple template variables.

### Global Attributes

None

### Classes

TemplateMultipleVariablesDialog | Class implementing a dialog for entering multiple template variables.

### Functions

None

## TemplateMultipleVariablesDialog

Class implementing a dialog for entering multiple template variables.

### Derived from

QDialog

### Class Attributes

None

### Class Methods

None

### Methods

TemplateMultipleVariablesDialog | Constructor
getVariables | Public method to get the values for all variables.

### Static Methods

None

#### TemplateMultipleVariablesDialog (Constructor)

TemplateMultipleVariablesDialog(variables, parent=None)

Constructor

variables
  list of template variable names (list of strings)
parent
  parent widget of this dialog (QWidget)

#### TemplateMultipleVariablesDialog.getVariables

getVariables()

Public method to get the values for all variables.

Returns:
  dictionary with the variable as a key and its value (string)

Up